org.apache.ode.bpel.dd

## Interface TDeployment

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TDeploymentImpl

      public interface TDeployment
      extends org.apache.xmlbeans.XmlObject

  An XML tDeployment(@http://www.apache.org/ode/schemas/dd/2007/03). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TDeployment.Factory` A factory class with static methods for creating instances of this type.
    `static interface` | `TDeployment.Process` An XML process(@http://www.apache.org/ode/schemas/dd/2007/03).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TDeployment.Process` | `addNewProcess()` Appends and returns a new empty value (as xml) as the last "process" element
    `TDeployment.Process[]` | `getProcessArray()` Gets array of all "process" elements
    `TDeployment.Process` | `getProcessArray(int i)` Gets ith "process" element
    `TDeployment.Process` | `insertNewProcess(int i)` Inserts and returns a new empty value (as xml) as the ith "process" element
    `void` | `removeProcess(int i)` Removes the ith "process" element
    `void` | `setProcessArray(int i, TDeployment.Process process)` Sets ith "process" element
    `void` | `setProcessArray(TDeployment.Process[] processArray)` Sets array of all "process" element
    `int` | `sizeOfProcessArray()` Returns number of "process" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getProcessArray

          TDeployment.Process[] getProcessArray()

      Gets array of all "process" elements

    - #### getProcessArray

          TDeployment.Process getProcessArray(int i)

      Gets ith "process" element

    - #### sizeOfProcessArray

          int sizeOfProcessArray()

      Returns number of "process" element

    - #### setProcessArray

          void setProcessArray(TDeployment.Process[] processArray)

      Sets array of all "process" element

    - #### setProcessArray

          void setProcessArray(int i,
                               TDeployment.Process process)

      Sets ith "process" element

    - #### insertNewProcess

          TDeployment.Process insertNewProcess(int i)

      Inserts and returns a new empty value (as xml) as the ith "process" element

    - #### addNewProcess

          TDeployment.Process addNewProcess()

      Appends and returns a new empty value (as xml) as the last "process" element

    - #### removeProcess

          void removeProcess(int i)

      Removes the ith "process" element